Package org.apache.sysds.runtime.instructions.spark.functions

## Class ExtractGroup.ExtractGroupBroadcast

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.ExtractGroup
  - - org.apache.sysds.runtime.instructions.spark.functions.ExtractGroup.ExtractGroupBroadcast

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​WeightedCell>`

Enclosing class:
  ExtractGroup

    public static class ExtractGroup.ExtractGroupBroadcast
    extends ExtractGroup
    implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​WeightedCell>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.spark.functions.ExtractGroup

`ExtractGroup.ExtractGroupBroadcast, ExtractGroup.ExtractGroupJoin`

### Constructor Summary

Constructors
`ExtractGroupBroadcast​(PartitionedBroadcast<MatrixBlock> pbm, long blen, long ngroups, Operator op)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<scala.Tuple2<MatrixIndexes,​WeightedCell>>` `call​(scala.Tuple2<MatrixIndexes,​MatrixBlock> arg)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtractGroupBroadcast

    public ExtractGroupBroadcast​(PartitionedBroadcast<MatrixBlock> pbm,
                                 long blen,
                                 long ngroups,
                                 Operator op)

### Method Detail

#### call

    public Iterator<scala.Tuple2<MatrixIndexes,​WeightedCell>> call​(scala.Tuple2<MatrixIndexes,​MatrixBlock> arg)
                                                                  throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​WeightedCell>`
Throws:
  `Exception`